Brex: Accounting schemas
52 Brex schemas with complete fields and constraints.
← Accounting operations · All schemas
Create accounting integration — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amortization | boolean | Optional | When true, provisions the amortization fields (amortization template, template start/end dates, and amortize toggle) and enables the AMORTIZATION capability for the integration. Returns 403 when amortization is not available to the account. The ERP opts into amortization by having these fields provisioned, so this works for any accounting integration created through this endpoint. Omitting the field, or passing false, leaves the integration unchanged — the same provisioning also happens on the first POST /accounting/integration/{integration_id}/amortization, so this field only decides whether it happens up front. |
vendor | string | Required within parent | The accounting vendor/system One of: CAMPFIRE, DUALENTRY, HANOVER_PARK, INKLE, RILLET |
vendor_account_id | string | Required within parent | The vendor account ID to tie this integration to |
Create amortization template — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
name | string | Required within parent | Human-readable name of the template |
remote_id | string | Optional | The template's identifier in the ERP. Omit when the ERP has no id for it. |
Create tax code — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
name | string | Required within parent | Name of the tax code. Reserved names ("Not Eligible", "Custom") are rejected |
rate | number | Required within parent | Tax rate as a percentage (e.g. 20 for 20%). Use 0 for zero-rated. Required on create |
remote_id | string | Optional | The tax code's identifier in the remote accounting system. Omit when the remote system has no identifier. |
subsidiary_ids | array | Required within parent | Subsidiaries to enable this code for on creation |
subsidiary_ids[] | string | Each item |
Create tax group — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
name | string | Required within parent | Name of the tax group. Reserved names ("Not Eligible", "Custom") are rejected |
subsidiary_ids | array | Required within parent | Subsidiaries to enable this group for on creation |
subsidiary_ids[] | string | Each item | |
tax_code_ids | array | Required within parent | The Brex IDs of the existing tax codes to include in this group |
tax_code_ids[] | string | Each item |
Get accounting integration — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
created_at | string | Required within parent | Timestamp when the integration was created Format: date-time |
integration_id | string | Required within parent | Unique identifier for the integration |
status | string | Required within parent | Current status of the integration Known values: ACTIVE, DISABLED |
vendor | string | Required within parent | The accounting vendor/system Known values: CAMPFIRE, DUALENTRY, HANOVER_PARK, INKLE, RILLET |
vendor_account_id | string | Required within parent | The vendor account ID this integration is tied to |
Get accounting record by ID — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amount | JSON | Required within parent | Amount of the accounting record |
amount (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — amount amount, currency |
billing_amount | JSON | Optional | |
billing_amount (anyOf 1) | object | Alternative | Billing/settlement amount in the account's home currency. For multi-currency transactions (e.g., EUR bill paid from USD account), this represents the actual amount debited. Use billing_amount / original_amount to derive the effective FX rate. |
billing_amount (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — amount amount, currency |
billing_amount (anyOf 2) | null | Alternative | |
due_at | JSON | Optional | |
due_at (anyOf 1) | string | Alternative | Source due at in UTC timezone. For bills only Format: date-time |
due_at (anyOf 2) | null | Alternative | |
erp_posting_date | string | Required within parent | ERP impact date in UTC timezone Format: date-time |
id | string | Required within parent | Unique identifier for the accounting record |
invoice_number | JSON | Optional | |
invoice_number (anyOf 1) | string | Alternative | Invoice number. For bills only |
invoice_number (anyOf 2) | null | Alternative | |
line_items | array | Required within parent | Line items for double-entry bookkeeping |
line_items[] | Model | Each item | Expand Get accounting record by ID — response body — line items item |
memo | JSON | Optional | |
memo (anyOf 1) | string | Alternative | Memo/description |
memo (anyOf 2) | null | Alternative | |
original_amount | JSON | Optional | |
original_amount (anyOf 1) | object | Alternative | Original amount if different from current |
original_amount (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — amount amount, currency |
original_amount (anyOf 2) | null | Alternative | |
posted_at | string | Required within parent | Source posted date in UTC timezone Format: date-time |
receipts | JSON | Optional | |
receipts (anyOf 1) | array | Alternative | Associated receipts |
receipts (anyOf 1)[] | Model | Each item | Expand Get accounting record by ID — response body — receipts Associated receipts item |
receipts (anyOf 2) | null | Alternative | |
review_status | string | Required within parent | Review status Known values: READY_FOR_EXPORT, PREPARE, REVIEW, EXPORTED |
source_id | JSON | Optional | |
source_id (anyOf 1) | string | Alternative | Source transaction ID |
source_id (anyOf 2) | null | Alternative | |
source_type | string | Required within parent | Source type Known values: CARD, REIMBURSEMENT, BILL |
status | JSON | Optional | |
status (anyOf 1) | string | Alternative | The source expense's approval/lifecycle status. For bills this reflects the bill's approval state (e.g. SUBMITTED = pending approval, APPROVED = approved), which is not derivable from review_status (always READY_FOR_EXPORT when polling). Known values: APPROVED, CANCELED, DRAFT, OUT_OF_POLICY, SETTLED, SPLIT, SUBMITTED, VOID |
status (anyOf 2) | null | Alternative | |
type | string | Required within parent | Types of accounting records representing different financial transactions: **Card-related transactions:** - `CARD_EXPENSE_POST`: Records when a card expense is posted and settled - `CARD_EXPENSE_REFUND`: Records when a merchant issues a refund for a card transaction - `CARD_EXPENSE_REPAYMENT`: Records when an employee repays money to the company for a card expense - `CARD_PAYMENT`: Records payments from customer to Brex for card balances - `CARD_PAYMENT_REFUND`: Records refunds from Brex to customer for overpayments - `REWARD_REDEMPTION`: Records when a reward is redeemed **Bill-related transactions:** - `BILL_EXPENSE`: Records when a bill expense is created - `BILL_EXPENSE_PAYMENT`: Records when a bill is paid through ACH/wire transfer - `BILL_EXPENSE_CARD_PAYMENT`: Records when a bill is paid using a Brex card **Reimbursement-related transactions:** - `REIMBURSEMENT_EXPENSE_APPROVAL`: Records approval of reimbursement (accrual basis) - `REIMBURSEMENT_EXPENSE_POST`: Records when reimbursement is fulfilled (cash basis) - `REIMBURSEMENT_EXPENSE_REPAYMENT`: Records repayment of a reimbursement expense - `REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_PAYOUT`: Records payout to employee/third party - `REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_PAYOUT_REVERSAL`: Records reversal of payout - `REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_PAYIN`: Records payment from customer to Brex - `REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_REFUND`: Records refund to customer's bank Known values: CARD_EXPENSE_POST, CARD_EXPENSE_REPAYMENT, REIMBURSEMENT_EXPENSE_REPAYMENT, REIMBURSEMENT_EXPENSE_APPROVAL, REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_PAYOUT, REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_PAYIN, REIMBURSEMENT_EXPENSE_POST, CARD_PAYMENT, REWARD_REDEMPTION, REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_REFUND, CARD_EXPENSE_REFUND, CARD_PAYMENT_REFUND, REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_PAYOUT_REVERSAL, INVOICE, INVOICE_PAYMENT, BILL_EXPENSE, BILL_EXPENSE_PAYMENT, BILL_EXPENSE_CARD_PAYMENT, BILL_MONEY_MOVEMENT_PAYIN |
updated_at | string | Required within parent | Last update timestamp in UTC timezone Format: date-time |
user | JSON | Optional | |
user (anyOf 1) | object | Alternative | User associated with the record |
user (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name |
user (anyOf 2) | null | Alternative | |
vendor | JSON | Optional | |
vendor (anyOf 1) | object | Alternative | Vendor information |
vendor (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website |
vendor (anyOf 2) | null | Alternative | |
version | JSON | Required within parent | |
version (anyOf 1) | number | Alternative | Version number |
version (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
Referenced models: Get accounting record by ID — response body — receipts Associated receipts item, Get accounting record by ID — response body — line items item, Get accounting record by ID — response body — amount amount, currency, Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name, Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website
Get accounting record by ID — response body — amount amount, currency
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amount | JSON | Required within parent | |
amount (anyOf 1) | number | Alternative | The amount |
amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
currency | string | Required within parent | The currency |
Get accounting record by ID — response body — line items item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accounting_field_values | array | Required within parent | Accounting field mappings |
accounting_field_values[] | Model | Each item | Expand Get accounting record by ID — response body — line items item accounting field values item |
amortization | JSON | Optional | |
amortization (anyOf 1) | object | Alternative | First-class amortization view for this line, present only when the expense is amortized (Amortize Expense toggle on); null otherwise. The underlying amortization extended fields are surfaced here and excluded from accounting_field_values. |
amortization (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — line items item amortization amortization end date, amortization start date, amortization template amortization end date, amortization start date, amortization template |
amortization (anyOf 2) | null | Alternative | |
amount | JSON | Required within parent | Amount for this line item. Amount is always positive for `AccountingRecordLineItem`. |
amount (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — amount amount, currency |
billing_amount | JSON | Optional | |
billing_amount (anyOf 1) | object | Alternative | Billing/settlement amount for this line item in the account's home currency. |
billing_amount (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — amount amount, currency |
billing_amount (anyOf 2) | null | Alternative | |
id | string | Required within parent | Unique identifier for the line item |
memo | JSON | Optional | |
memo (anyOf 1) | string | Alternative | Memo/description |
memo (anyOf 2) | null | Alternative | |
original_amount | JSON | Optional | |
original_amount (anyOf 1) | object | Alternative | Original amount for this line item. Amount is always positive for `AccountingRecordLineItem`. |
original_amount (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — amount amount, currency |
original_amount (anyOf 2) | null | Alternative | |
type | string | Required within parent | Type of line item Known values: CREDIT, DEBIT |
Referenced models: Get accounting record by ID — response body — line items item accounting field values item, Get accounting record by ID — response body — line items item amortization amortization end date, amortization start date, amortization template amortization end date, amortization start date, amortization template, Get accounting record by ID — response body — amount amount, currency
Get accounting record by ID — response body — line items item accounting field values item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
brex_field_id | string | Required within parent | Brex internal field identifier |
brex_field_value_id | JSON | Required within parent | |
brex_field_value_id (anyOf 1) | string | Alternative | Brex internal field value identifier. Set for IDENTIFIER (option/list) fields; null for typed (STRING/BOOL/DATE) fields. |
brex_field_value_id (anyOf 2) | null | Alternative | |
field_name | JSON | Required within parent | |
field_name (anyOf 1) | string | Alternative | Brex field display name. Null only when the field has no display name. |
field_name (anyOf 2) | null | Alternative | |
field_value_name | JSON | Required within parent | |
field_value_name (anyOf 1) | string | Alternative | Brex field value display name. Set for IDENTIFIER (option/list) fields; null for typed (STRING/BOOL/DATE) fields. |
field_value_name (anyOf 2) | null | Alternative | |
remote_field_id | JSON | Required within parent | |
remote_field_id (anyOf 1) | string | Alternative | Remote system field identifier |
remote_field_id (anyOf 2) | null | Alternative | |
remote_field_value_id | JSON | Required within parent | |
remote_field_value_id (anyOf 1) | string | Alternative | Remote system field value identifier |
remote_field_value_id (anyOf 2) | null | Alternative | |
set_by | JSON | Optional | |
set_by (anyOf 1) | string | Alternative | Who set the accounting field value: MANUAL (a user or API client), AUTOMATED (a rule, integration setting, or system default), AGENT (the Brex AI agent), or OCR (receipt or invoice extraction). Null when the source is unknown. Only returned when Automation API access is enabled. Known values: MANUAL, AUTOMATED, AGENT, OCR |
set_by (anyOf 2) | null | Alternative | |
set_by_details | JSON | Optional | Details about the automation that set this accounting field value. Null unless set_by is AUTOMATED. Only returned when Automation API access is enabled. |
set_by_details (anyOf 1) | Model | Alternative | Expand Get accounting record by ID — response body — line_items / item / accounting_field_values / item / set_by_details / type: CUSTOM RULE |
set_by_details (anyOf 2) | Model | Alternative | Expand Get accounting record by ID — response body — line_items / item / accounting_field_values / item / set_by_details / type: MAPPING RULE |
set_by_details (anyOf 3) | Model | Alternative | Expand Get accounting record by ID — response body — line_items / item / accounting_field_values / item / set_by_details / type: INTEGRATION SETTINGS |
set_by_details (anyOf 4) | JSON | Alternative | |
set_by_details (anyOf 4) (anyOf 1) | object | Alternative | Null when the value was not set by automation. Maximum fields: 0 Additional keys: not allowed |
set_by_details (anyOf 4) (anyOf 2) | null | Alternative | |
type | JSON | Optional | |
type (anyOf 1) | string | Alternative | The field's value type. IDENTIFIER for option/list fields (read brex_field_value_id / field_value_name); STRING, BOOL, or DATE for typed fields (read `value`, interpreting it per this type). Known values: IDENTIFIER, STRING, BOOL, DATE |
type (anyOf 2) | null | Alternative | |
value | JSON | Optional | The typed value for a STRING/BOOL/DATE field, interpreted according to `type`: a string for STRING, a boolean for BOOL (false is returned as false, never omitted), or an ISO 8601 date (YYYY-MM-DD) for DATE. Null for IDENTIFIER fields (read brex_field_value_id / field_value_name instead) and when unset. |
value (anyOf 1) | JSON | Alternative | |
value (anyOf 1) (anyOf 1) | string | Alternative | |
value (anyOf 1) (anyOf 2) | null | Alternative | |
value (anyOf 2) | JSON | Alternative | |
value (anyOf 2) (anyOf 1) | boolean | Alternative | |
value (anyOf 2) (anyOf 2) | null | Alternative |
Referenced models: Get accounting record by ID — response body — line_items / item / accounting_field_values / item / set_by_details / type: CUSTOM RULE, Get accounting record by ID — response body — line_items / item / accounting_field_values / item / set_by_details / type: INTEGRATION SETTINGS, Get accounting record by ID — response body — line_items / item / accounting_field_values / item / set_by_details / type: MAPPING RULE
Get accounting record by ID — response body — line items item amortization amortization end date, amortization start date, amortization template amortization end date, amortization start date, amortization template
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amortization_end_date | JSON | Optional | |
amortization_end_date (anyOf 1) | string | Alternative | Amortization period end date, as an ISO 8601 date (YYYY-MM-DD). Null when unset. |
amortization_end_date (anyOf 2) | null | Alternative | |
amortization_start_date | JSON | Optional | |
amortization_start_date (anyOf 1) | string | Alternative | Amortization period start date, as an ISO 8601 date (YYYY-MM-DD). Null when unset. |
amortization_start_date (anyOf 2) | null | Alternative | |
amortization_template | JSON | Optional | |
amortization_template (anyOf 1) | object | Alternative | The selected amortization template (identifier + display name), when set. Null for GL-based ERPs with no template concept, or when unset. |
amortization_template (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — line items item amortization amortization end date, amortization start date, amortization template amortization end date, amortization start date, amortization template amortization template display name, id, remote id display name, id, remote id |
amortization_template (anyOf 2) | null | Alternative |
Get accounting record by ID — response body — line items item amortization amortization end date, amortization start date, amortization template amortization end date, amortization start date, amortization template amortization template display name, id, remote id display name, id, remote id
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
display_name | string | Required within parent | Display name of the selected amortization template. |
id | string | Required within parent | Brex identifier of the selected amortization template option (matches brex_field_value_id of the template field). |
remote_id | JSON | Optional | |
remote_id (anyOf 1) | string | Alternative | Identifier of the template in the external accounting system (ERP). Null when the option has no remote id yet. |
remote_id (anyOf 2) | null | Alternative |
Get accounting record by ID — response body — line_items / item / accounting_field_values / item / set_by_details / type: CUSTOM RULE
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
rule_id | string | Required within parent | Automation API custom rule ID. |
type | string | Required within parent | The type of automation that set this accounting field value. Known values: CUSTOM_RULE |
Get accounting record by ID — response body — line_items / item / accounting_field_values / item / set_by_details / type: INTEGRATION SETTINGS
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
type | string | Required within parent | The type of automation that set this accounting field value. Known values: INTEGRATION_SETTINGS |
Get accounting record by ID — response body — line_items / item / accounting_field_values / item / set_by_details / type: MAPPING RULE
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
mapping_id | JSON | Required within parent | |
mapping_id (anyOf 1) | string | Alternative | Automation API value mapping ID. |
mapping_id (anyOf 2) | null | Alternative | |
mapping_rule_id | string | Required within parent | Automation API mapping rule ID. |
type | string | Required within parent | The type of automation that set this accounting field value. Known values: MAPPING_RULE |
Get accounting record by ID — response body — receipts Associated receipts item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
download_uris | JSON | Optional | |
download_uris (anyOf 1) | array | Alternative | Signed URLs to download receipt files (expire in 15 minutes) |
download_uris (anyOf 1)[] | string | Each item | |
download_uris (anyOf 2) | null | Alternative | |
id | string | Required within parent | Unique identifier for the receipt |
Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
account_id | string | Optional | The ID of the account the user belongs to |
brex_assistant | JSON | Required within parent | |
brex_assistant (anyOf 1) | object | Alternative | Resolved Brex Assistant state. Null unless include contains 'brex_assistant'. |
brex_assistant (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name brex assistant disabled reason, experience, is enabled disabled reason, experience, is enabled |
brex_assistant (anyOf 2) | null | Alternative | |
department_id | string | Optional | The ID of the user's department |
department_name | string | Optional | The user's department name |
email | string | Optional | The user's email address. Omitted for callers without the `user.read` operation permission when they look up users other than themselves. |
first_name | string | Required within parent | The user's first name |
id | string | Required within parent | The ID of the user |
last_name | string | Required within parent | The user's last name |
location_id | string | Optional | The ID of the user's location |
location_name | string | Optional | The user's location name |
manager_first_name | string | Optional | The user's manager first name |
manager_id | string | Optional | The ID of the user's manager |
manager_last_name | string | Optional | The user's manager last name |
manager_title_id | string | Optional | The user's manager title ID |
manager_title_name | string | Optional | The user's manager title display name |
metadata | object | Optional | Customer-defined metadata associated with the user Maximum fields: 100 Additional keys: see wildcard field |
metadata.* | string | Additional keys | |
notification_preferences | JSON | Required within parent | |
notification_preferences (anyOf 1) | object | Alternative | The user's notification preferences across Brex. Null unless include contains 'notification_preferences', or when the caller cannot read this user. |
notification_preferences (anyOf 1) (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name notification preferences card transactions completed, preferred channels, text card transactions completed, preferred channels, text |
notification_preferences (anyOf 2) | null | Alternative | |
phone_number | JSON | Optional | |
phone_number (anyOf 1) | string | Alternative | The user's phone number (from their active SMS channel). Null unless include contains 'phone_number'. |
phone_number (anyOf 2) | null | Alternative | |
role | string | Required within parent | The user's role in the system Known values: ACCOUNT_ADMIN, AP_CLERK, BOOKKEEPER, CARD_ADMIN, EMPLOYEE, EMPLOYEE_WITHOUT_CORP_CARDS, EXPENSE_ADMIN, SUPER_ADMIN, USER_MANAGEMENT_ADMIN |
status | string | Required within parent | The user's status in the system Known values: ACTIVE, ARCHIVED, DELETED, DISABLED, INACTIVE, INVITED, PENDING_ACTIVATION |
title_id | string | Optional | The user's title ID |
title_name | string | Optional | The user's title display name |
Referenced models: Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name brex assistant disabled reason, experience, is enabled disabled reason, experience, is enabled, Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name notification preferences card transactions completed, preferred channels, text card transactions completed, preferred channels, text
Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name brex assistant disabled reason, experience, is enabled disabled reason, experience, is enabled
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
disabled_reason | JSON | Required within parent | |
disabled_reason (anyOf 1) | string | Alternative | Why Brex Assistant is disabled for this user, or null when enabled or on the legacy experience Known values: ACCOUNT_DISABLED, INHERITED_FROM_ACCOUNT_DEFAULT, USER_DISABLED |
disabled_reason (anyOf 2) | null | Alternative | |
experience | JSON | Required within parent | |
experience (anyOf 1) | string | Alternative | The Brex Assistant experience resolved for this user Known values: IAF, LEGACY |
experience (anyOf 2) | null | Alternative | |
is_enabled | JSON | Required within parent | |
is_enabled (anyOf 1) | boolean | Alternative | Whether the resolved Brex Assistant experience is enabled for this user |
is_enabled (anyOf 2) | null | Alternative |
Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name notification preferences card transactions completed, preferred channels, text card transactions completed, preferred channels, text
Referenced models: Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name notification preferences card transactions completed, preferred channels, text card transactions completed, preferred channels, text card transactions completed brex assistant brex assistant, Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name notification preferences card transactions completed, preferred channels, text card transactions completed, preferred channels, text preferred channels array item
Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name notification preferences card transactions completed, preferred channels, text card transactions completed, preferred channels, text card transactions completed brex assistant brex assistant
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
brex_assistant | boolean | Required within parent | Whether Brex Assistant messages the user about a completed card transaction that needs no documentation. False when the user never saved a choice. |
Get accounting record by ID — response body — user User associated with the record account id, brex assistant, department id, department name, email, first name, id, last name, location id, location name, manager first name, manager id, manager last name, manager title id, manager title name, metadata, notification preferences, phone number, role, status, title id, title name notification preferences card transactions completed, preferred channels, text card transactions completed, preferred channels, text preferred channels array item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
channel | JSON | Required within parent | |
channel (anyOf 1) | string | Alternative | A channel that can reach the user Known values: SLACK, SMS, WHATSAPP |
channel (anyOf 2) | null | Alternative | |
reply_mode | JSON | Required within parent | |
reply_mode (anyOf 1) | string | Alternative | Whether a free-text reply on this channel reaches Brex (TWO_WAY) or not (ONE_WAY, e.g. SMS from a short code outside the US and Canada) Known values: ONE_WAY, TWO_WAY |
reply_mode (anyOf 2) | null | Alternative |
Get accounting record by ID — response body — vendor / Vendor information / contact_name, customer_account_id, customer_dba_name, email, id, name, payment_config, phone, rail_account_details, website / payment_config / irs_form1099_eligibility_status: ELIGIBLE, INELIGIBLE, self serve request payment instrument: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, self serve request tax info: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, tax form tin validation status: INVALID, NOT REQUESTED, REQUESTED, VALID
Referenced models: Get accounting record by ID — response body — vendor / Vendor information / contact_name, customer_account_id, customer_dba_name, email, id, name, payment_config, phone, rail_account_details, website / payment_config / irs_form1099_eligibility_status: ELIGIBLE, INELIGIBLE, self serve request payment instrument: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, self serve request tax info: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, tax form tin validation status: INVALID, NOT REQUESTED, REQUESTED, VALID vendor owners id, Get accounting record by ID — response body — vendor / Vendor information / contact_name, customer_account_id, customer_dba_name, email, id, name, payment_config, phone, rail_account_details, website / payment_config / irs_form1099_eligibility_status: ELIGIBLE, INELIGIBLE, self serve request payment instrument: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, self serve request tax info: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, tax form tin validation status: INVALID, NOT REQUESTED, REQUESTED, VALID tax form w8 country of citizenship, date of birth, domestic tax identification number, foreign tax identification number, legal name, Get accounting record by ID — response body — vendor / Vendor information / contact_name, customer_account_id, customer_dba_name, email, id, name, payment_config, phone, rail_account_details, website / payment_config / irs_form1099_eligibility_status: ELIGIBLE, INELIGIBLE, self serve request payment instrument: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, self serve request tax info: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, tax form tin validation status: INVALID, NOT REQUESTED, REQUESTED, VALID tax form w9 tax classification: C CORP, INDIVIDUAL, LLC, OTHER, PARTNERSHIP, S CORP
Get accounting record by ID — response body — vendor / Vendor information / contact_name, customer_account_id, customer_dba_name, email, id, name, payment_config, phone, rail_account_details, website / payment_config / irs_form1099_eligibility_status: ELIGIBLE, INELIGIBLE, self serve request payment instrument: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, self serve request tax info: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, tax form tin validation status: INVALID, NOT REQUESTED, REQUESTED, VALID tax form w8 country of citizenship, date of birth, domestic tax identification number, foreign tax identification number, legal name
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
country_of_citizenship | string | Optional | Country of citizenship |
date_of_birth | string | Optional | Date of birth |
domestic_tax_identification_number | string | Optional | Domestic tax identification number |
foreign_tax_identification_number | string | Optional | Foreign tax identification number |
legal_name | string | Optional | Legal name |
Get accounting record by ID — response body — vendor / Vendor information / contact_name, customer_account_id, customer_dba_name, email, id, name, payment_config, phone, rail_account_details, website / payment_config / irs_form1099_eligibility_status: ELIGIBLE, INELIGIBLE, self serve request payment instrument: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, self serve request tax info: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, tax form tin validation status: INVALID, NOT REQUESTED, REQUESTED, VALID tax form w9 tax classification: C CORP, INDIVIDUAL, LLC, OTHER, PARTNERSHIP, S CORP
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
business_name | string | Optional | Business name |
is_signed | boolean | Optional | Whether the form is signed |
legal_name | string | Optional | Legal name |
signed_date | string | Optional | Date the form was signed |
tax_classification | string | Optional | Tax classification Known values: C_CORP, INDIVIDUAL, LLC, OTHER, PARTNERSHIP, S_CORP |
tax_identification_number | string | Optional | Tax identification number |
Get accounting record by ID — response body — vendor / Vendor information / contact_name, customer_account_id, customer_dba_name, email, id, name, payment_config, phone, rail_account_details, website / payment_config / irs_form1099_eligibility_status: ELIGIBLE, INELIGIBLE, self serve request payment instrument: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, self serve request tax info: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, tax form tin validation status: INVALID, NOT REQUESTED, REQUESTED, VALID vendor owners id
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
id | string | Required within parent | Vendor owners group ID |
Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
contact_name | string | Optional | The name of the contact for the vendor |
customer_account_id | string | Required within parent | Customer account ID |
customer_dba_name | string | Optional | The DBA name of the vendor |
email | string | Optional | The email for the vendor |
id | string | Required within parent | The unique identifier for the vendor |
name | string | Required within parent | The name of the vendor |
payment_config | JSON | Optional | Payment configuration for this vendor |
payment_config (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — vendor / Vendor information / contact_name, customer_account_id, customer_dba_name, email, id, name, payment_config, phone, rail_account_details, website / payment_config / irs_form1099_eligibility_status: ELIGIBLE, INELIGIBLE, self serve request payment instrument: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, self serve request tax info: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, tax form tin validation status: INVALID, NOT REQUESTED, REQUESTED, VALID |
phone | string | Optional | The phone number for the vendor |
rail_account_details | array | Optional | Rail account details (payment accounts) for this vendor |
rail_account_details[] | Model | Each item | Expand Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item |
website | string | Optional | The website of the vendor |
Referenced models: Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item, Get accounting record by ID — response body — vendor / Vendor information / contact_name, customer_account_id, customer_dba_name, email, id, name, payment_config, phone, rail_account_details, website / payment_config / irs_form1099_eligibility_status: ELIGIBLE, INELIGIBLE, self serve request payment instrument: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, self serve request tax info: COMPLETE, EXPIRED, NOT ALLOWED, REQUESTED, tax form tin validation status: INVALID, NOT REQUESTED, REQUESTED, VALID
Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
account_holder_address | JSON | Optional | Account holder address |
account_holder_address (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item account holder address address1, address2, city, country, state, zip |
bank_account_class | string | Optional | Bank account class Known values: BUSINESS, PERSONAL |
bank_name | string | Optional | Bank name |
beneficiary_bank_address | JSON | Optional | Beneficiary bank address |
beneficiary_bank_address (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item account holder address address1, address2, city, country, state, zip |
beneficiary_name_info | object | Optional | Beneficiary name information Additional keys: see wildcard field |
beneficiary_name_info.* | string | Additional keys | |
beneficiary_type | string | Optional | Beneficiary type Known values: BUSINESS, INDIVIDUAL |
display_name | string | Required within parent | Display name for this payment account |
id | string | Required within parent | Unique identifier for this rail account details |
inserted_at | string | Required within parent | When this account was created (ISO timestamp) |
properties | object | Required within parent | Account properties (routing number, account number, IBAN, etc.) Additional keys: see wildcard field |
properties.* | string | Additional keys | |
rail | JSON | Required within parent | Rail information (payment method type) |
rail (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item rail type |
status | string | Required within parent | Status of this payment account Known values: ACCOUNT_CLOSED, ACTIVE, AUTOMATICALLY_INVALIDATED, DELETED, DISABLED, FAILED_VERIFICATIONS, PENDING_APPROVAL, REJECTED |
target_country | string | Optional | Target country |
target_currency | JSON | Optional | Target currency |
target_currency (allOf 1) | Model | All variants apply | Expand Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item target currency code |
updated_at | string | Required within parent | When this account was last updated (ISO timestamp) |
Referenced models: Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item account holder address address1, address2, city, country, state, zip, Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item target currency code, Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item rail type
Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item account holder address address1, address2, city, country, state, zip
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
address1 | string | Optional | Address line 1 |
address2 | string | Optional | Address line 2 |
city | string | Optional | City |
country | string | Optional | Country code |
state | string | Optional | State or province |
zip | string | Optional | ZIP or postal code |
Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item rail type
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
type | string | Required within parent | Rail type (payment method) Known values: AU_BECS, CARD, CA_EFT, CRYPTO_BASE, CRYPTO_ETH, EU_SEPA, GLOBAL_BANK_TRANSFER, HK_FPS, INTL_SWIFT_WIRE, SG_EGIRO, UK_BACS, US_ACH, US_CHEQUE, US_WIRE |
Get accounting record by ID — response body — vendor Vendor information contact name, customer account id, customer dba name, email, id, name, payment config, phone, rail account details, website rail account details item target currency code
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
code | string | Required within parent | Currency code (e.g., USD, EUR) |
Get amortization template — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
brex_id | string | Required within parent | The internal Brex ID of the amortization template |
is_disabled | boolean | Required within parent | Whether the template is hidden from selection on new expenses. Existing expenses keep a disabled template. |
name | string | Required within parent | Human-readable name of the template |
remote_id | JSON | Optional | |
remote_id (anyOf 1) | string | Alternative | The template's identifier in the ERP, if the ERP supplied one |
remote_id (anyOf 2) | null | Alternative | |
updated_at | string | Required within parent | The last updated timestamp of the template Format: date-time |
Get tax code — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
brex_id | string | Required within parent | The internal Brex ID of the tax code |
name | string | Required within parent | Human-readable name of the tax code |
rate | JSON | Optional | |
rate (anyOf 1) | JSON | Alternative | |
rate (anyOf 1) (anyOf 1) | number | Alternative | Tax rate as a percentage (e.g. 20 for 20%). 0 is zero-rated; null is exempt |
rate (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
rate (anyOf 2) | null | Alternative | |
remote_id | JSON | Optional | |
remote_id (anyOf 1) | string | Alternative | The tax code's identifier in the remote accounting system. Null when the caller did not provide one. |
remote_id (anyOf 2) | null | Alternative | |
subsidiaries | array | Required within parent | Per-subsidiary enablement, one entry per subsidiary with a setting for this code |
subsidiaries[] | Model | Each item | Expand Get tax code — response body — subsidiaries item |
updated_at | string | Required within parent | The last updated timestamp of the tax code Format: date-time |
Referenced models: Get tax code — response body — subsidiaries item
Get tax code — response body — subsidiaries item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
status | string | Required within parent | Whether the code/group is enabled for this subsidiary Known values: ENABLED, DISABLED |
subsidiary_id | string | Required within parent | The internal Brex ID of the subsidiary |
subsidiary_name | string | Required within parent | Human-readable name of the subsidiary |
Get tax group — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
brex_id | string | Required within parent | The internal Brex ID of the tax group |
name | string | Required within parent | Human-readable name of the tax group |
subsidiaries | array | Required within parent | Per-subsidiary enablement, one entry per subsidiary with a setting for this group |
subsidiaries[] | Model | Each item | Expand Get tax code — response body — subsidiaries item |
tax_codes | array | Required within parent | The member tax codes contained in this group |
tax_codes[] | Model | Each item | Expand Get tax group — response body — tax codes item |
updated_at | string | Required within parent | The last updated timestamp of the tax group Format: date-time |
Referenced models: Get tax group — response body — tax codes item, Get tax code — response body — subsidiaries item
Get tax group — response body — tax codes item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
brex_id | string | Required within parent | The internal Brex ID of the member tax code |
name | string | Required within parent | Human-readable name of the member tax code |
rate | JSON | Optional | |
rate (anyOf 1) | JSON | Alternative | |
rate (anyOf 1) (anyOf 1) | number | Alternative | Tax rate as a percentage (e.g. 20 for 20%). 0 is zero-rated; null is exempt |
rate (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
rate (anyOf 2) | null | Alternative | |
updated_at | string | Required within parent | The last updated timestamp of the member tax code Format: date-time |
List accounting integrations — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
items | array | Required within parent | The items in the response |
items[] | Model | Each item | Expand Get accounting integration — response body |
next_cursor | JSON | Required within parent | |
next_cursor (anyOf 1) | string | Alternative | The next cursor |
next_cursor (anyOf 2) | null | Alternative |
Referenced models: Get accounting integration — response body
List amortization templates — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
items | array | Required within parent | The items in the response |
items[] | Model | Each item | Expand Get amortization template — response body |
next_cursor | JSON | Required within parent | |
next_cursor (anyOf 1) | string | Alternative | The next cursor |
next_cursor (anyOf 2) | null | Alternative |
Referenced models: Get amortization template — response body
List tax codes — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
items | array | Required within parent | The items in the response |
items[] | Model | Each item | Expand Get tax code — response body |
next_cursor | JSON | Required within parent | |
next_cursor (anyOf 1) | string | Alternative | The next cursor |
next_cursor (anyOf 2) | null | Alternative |
Referenced models: Get tax code — response body
List tax groups — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
items | array | Required within parent | The items in the response |
items[] | Model | Each item | Expand Get tax group — response body |
next_cursor | JSON | Required within parent | |
next_cursor (anyOf 1) | string | Alternative | The next cursor |
next_cursor (anyOf 2) | null | Alternative |
Referenced models: Get tax group — response body
Query accounting records — request body — query erp posting date
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
from | string | Optional | Inclusive start of the ERP posting date range - ISO 8601 UTC datetime format Format: date-time |
to | string | Optional | Inclusive end of the ERP posting date range - ISO 8601 UTC datetime format Format: date-time |
Query accounting records — request body — query updated at
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
gt | string | Optional | Minimum value to filter by (exclusive) - ISO 8601 format Format: date-time |
gte | string | Optional | Minimum value to filter by (inclusive) - ISO 8601 format Format: date-time |
lt | string | Optional | Maximum value to filter by (exclusive) - ISO 8601 format Format: date-time |
lte | string | Optional | Maximum value to filter by (inclusive) - ISO 8601 format Format: date-time |
Query accounting records — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
has_next_page | boolean | Required within parent | Whether there are more results available |
items | array | Required within parent | The items in the response |
items[] | Model | Each item | Expand Get accounting record by ID — response body |
next_cursor | JSON | Required within parent | |
next_cursor (anyOf 1) | string | Alternative | The next cursor |
next_cursor (anyOf 2) | null | Alternative | |
total_count | JSON | Optional | |
total_count (anyOf 1) | JSON | Alternative | |
total_count (anyOf 1) (anyOf 1) | number | Alternative | Total count of records matching the query Format: int32 |
total_count (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
total_count (anyOf 2) | null | Alternative |
Referenced models: Get accounting record by ID — response body
Report accounting export results — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
results | array | Required within parent | Array of export results (must contain at least one result) Minimum items: 1 |
results[] | JSON | Each item | |
results[] (oneOf 1) | Model | Alternative | Expand Report accounting export results — request body — body results item accounting record id, success |
results[] (oneOf 2) | Model | Alternative | Expand Report accounting export results — request body — body results item accounting record id, failure |
Referenced models: Report accounting export results — request body — body results item accounting record id, failure, Report accounting export results — request body — body results item accounting record id, success
Report accounting export results — request body — body results item accounting record id, failure
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accounting_record_id | string | Required within parent | ID of the accounting record the export outcome applies to |
failure | JSON | Required within parent | Details for a failed export |
failure (allOf 1) | Model | All variants apply | Expand Report accounting export results — request body — body results item accounting record id, failure failure error message |
Referenced models: Report accounting export results — request body — body results item accounting record id, failure failure error message
Report accounting export results — request body — body results item accounting record id, failure failure error message
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
error_message | string | Required within parent | Human-readable explanation of the failure |
Report accounting export results — request body — body results item accounting record id, success
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accounting_record_id | string | Required within parent | ID of the accounting record the export outcome applies to |
success | JSON | Required within parent | Details for a successful export |
success (allOf 1) | Model | All variants apply | Expand Report accounting export results — request body — body results item accounting record id, success success deep link url, reference id |
Referenced models: Report accounting export results — request body — body results item accounting record id, success success deep link url, reference id
Report accounting export results — request body — body results item accounting record id, success success deep link url, reference id
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
deep_link_url | string | Optional | URL pointing to the record in the external system |
reference_id | JSON | Optional | |
reference_id (anyOf 1) | string | Alternative | External system identifier assigned to the exported record |
reference_id (anyOf 2) | null | Alternative |
Report accounting export results — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
updated_accounting_record_ids | array | Required within parent | Accounting record ids that were updated by the request |
updated_accounting_record_ids[] | string | Each item |
Update accounting records — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Additional keys: not allowed |
accounting_fields | array | Required within parent | Maximum items: 50 Minimum items: 1 |
accounting_fields[] | object | Each item | Additional keys: not allowed |
accounting_fields[].bool_value | JSON | Optional | |
accounting_fields[].bool_value (anyOf 1) | boolean | Alternative | |
accounting_fields[].bool_value (anyOf 2) | null | Alternative | |
accounting_fields[].date_value | JSON | Optional | |
accounting_fields[].date_value (anyOf 1) | string | Alternative | Format: date Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$ |
accounting_fields[].date_value (anyOf 2) | null | Alternative | |
accounting_fields[].enum_value | JSON | Optional | |
accounting_fields[].enum_value (anyOf 1) | string | Alternative | Minimum length: 1 |
accounting_fields[].enum_value (anyOf 2) | null | Alternative | |
accounting_fields[].field_id | string | Required within parent | Field brex_id from accounting field discovery. Minimum length: 1 |
accounting_fields[].is_deleted | JSON | Optional | |
accounting_fields[].is_deleted (anyOf 1) | boolean | Alternative | |
accounting_fields[].is_deleted (anyOf 2) | null | Alternative | |
accounting_fields[].number_value | JSON | Optional | |
accounting_fields[].number_value (anyOf 1) | number | Alternative | |
accounting_fields[].number_value (anyOf 2) | null | Alternative | |
accounting_fields[].string_value | JSON | Optional | |
accounting_fields[].string_value (anyOf 1) | string | Alternative | |
accounting_fields[].string_value (anyOf 2) | null | Alternative | |
accounting_fields[].value_id | JSON | Optional | |
accounting_fields[].value_id (anyOf 1) | string | Alternative | Option brex_id for an option field. Minimum length: 1 |
accounting_fields[].value_id (anyOf 2) | null | Alternative | |
accounting_record_ids | array | Required within parent | Maximum items: 50 Minimum items: 1 |
accounting_record_ids[] | string | Each item | Minimum length: 1 |
Update accounting records — response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Additional keys: not allowed |
results | array | Required within parent | |
results[] | JSON | Each item | |
results[] (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record | object | Required within parent | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.amount | object | Required within parent | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.amount.amount | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.amount.amount (anyOf 1) | number | Alternative | |
results[] (anyOf 1).accounting_record.amount.amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
results[] (anyOf 1).accounting_record.amount.currency | string | Required within parent | |
results[] (anyOf 1).accounting_record.billing_amount | JSON | Optional | |
results[] (anyOf 1).accounting_record.billing_amount (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.billing_amount (anyOf 1).amount | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.billing_amount (anyOf 1).amount (anyOf 1) | number | Alternative | |
results[] (anyOf 1).accounting_record.billing_amount (anyOf 1).amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
results[] (anyOf 1).accounting_record.billing_amount (anyOf 1).currency | string | Required within parent | |
results[] (anyOf 1).accounting_record.billing_amount (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.due_at | JSON | Optional | |
results[] (anyOf 1).accounting_record.due_at (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.due_at (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.erp_posting_date | string | Required within parent | |
results[] (anyOf 1).accounting_record.id | string | Required within parent | |
results[] (anyOf 1).accounting_record.invoice_number | JSON | Optional | |
results[] (anyOf 1).accounting_record.invoice_number (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.invoice_number (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items | array | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[] | object | Each item | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values | array | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[] | object | Each item | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].brex_field_id | string | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].brex_field_value_id | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].brex_field_value_id (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].brex_field_value_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].field_name | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].field_name (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].field_name (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].field_value_name | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].field_value_name (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].field_value_name (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].remote_field_id | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].remote_field_id (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].remote_field_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].remote_field_value_id | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].remote_field_value_id (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].remote_field_value_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by (anyOf 1) | string | Alternative | Known values: MANUAL, AUTOMATED, AGENT, OCR |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).mapping_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).mapping_id (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).mapping_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).mapping_rule_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).mapping_rule_id (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).mapping_rule_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).rule_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).rule_id (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).rule_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 1).type | string | Required within parent | Known values: CUSTOM_RULE, MAPPING_RULE, INTEGRATION_SETTINGS |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].set_by_details (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].type | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].type (anyOf 1) | string | Alternative | Known values: IDENTIFIER, STRING, BOOL, DATE |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].type (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].value | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].value (anyOf 1) | JSON | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].value (anyOf 1) (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].value (anyOf 1) (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].value (anyOf 2) | JSON | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].value (anyOf 2) (anyOf 1) | boolean | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].accounting_field_values[].value (anyOf 2) (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amortization | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_end_date | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_end_date (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_end_date (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_start_date | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_start_date (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_start_date (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_template | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_template (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_template (anyOf 1).display_name | string | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_template (anyOf 1).id | string | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_template (anyOf 1).remote_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_template (anyOf 1).remote_id (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_template (anyOf 1).remote_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 1).amortization_template (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amortization (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amount | object | Required within parent | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.line_items[].amount.amount | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].amount.amount (anyOf 1) | number | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].amount.amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
results[] (anyOf 1).accounting_record.line_items[].amount.currency | string | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].billing_amount | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].billing_amount (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.line_items[].billing_amount (anyOf 1).amount | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].billing_amount (anyOf 1).amount (anyOf 1) | number | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].billing_amount (anyOf 1).amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
results[] (anyOf 1).accounting_record.line_items[].billing_amount (anyOf 1).currency | string | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].billing_amount (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].id | string | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].memo | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].memo (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].memo (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].original_amount | JSON | Optional | |
results[] (anyOf 1).accounting_record.line_items[].original_amount (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.line_items[].original_amount (anyOf 1).amount | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].original_amount (anyOf 1).amount (anyOf 1) | number | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].original_amount (anyOf 1).amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
results[] (anyOf 1).accounting_record.line_items[].original_amount (anyOf 1).currency | string | Required within parent | |
results[] (anyOf 1).accounting_record.line_items[].original_amount (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.line_items[].type | string | Required within parent | Known values: CREDIT, DEBIT |
results[] (anyOf 1).accounting_record.memo | JSON | Optional | |
results[] (anyOf 1).accounting_record.memo (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.memo (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.original_amount | JSON | Optional | |
results[] (anyOf 1).accounting_record.original_amount (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.original_amount (anyOf 1).amount | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.original_amount (anyOf 1).amount (anyOf 1) | number | Alternative | |
results[] (anyOf 1).accounting_record.original_amount (anyOf 1).amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
results[] (anyOf 1).accounting_record.original_amount (anyOf 1).currency | string | Required within parent | |
results[] (anyOf 1).accounting_record.original_amount (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.posted_at | string | Required within parent | |
results[] (anyOf 1).accounting_record.receipts | JSON | Optional | |
results[] (anyOf 1).accounting_record.receipts (anyOf 1) | array | Alternative | |
results[] (anyOf 1).accounting_record.receipts (anyOf 1)[] | object | Each item | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.receipts (anyOf 1)[].download_uris | array | Optional | |
results[] (anyOf 1).accounting_record.receipts (anyOf 1)[].download_uris[] | string | Each item | |
results[] (anyOf 1).accounting_record.receipts (anyOf 1)[].id | string | Required within parent | |
results[] (anyOf 1).accounting_record.receipts (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.review_status | string | Required within parent | Known values: PREPARE, REVIEW, EXPORTED, READY_FOR_EXPORT |
results[] (anyOf 1).accounting_record.source_id | string | Optional | |
results[] (anyOf 1).accounting_record.source_type | string | Required within parent | Known values: CARD, REIMBURSEMENT, BILL |
results[] (anyOf 1).accounting_record.status | JSON | Optional | |
results[] (anyOf 1).accounting_record.status (anyOf 1) | string | Alternative | The source expense's approval/lifecycle status. Known values: APPROVED, CANCELED, DRAFT, OUT_OF_POLICY, SETTLED, SPLIT, SUBMITTED, VOID |
results[] (anyOf 1).accounting_record.status (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.type | string | Required within parent | Known values: CARD_EXPENSE_POST, CARD_EXPENSE_REPAYMENT, REIMBURSEMENT_EXPENSE_REPAYMENT, REIMBURSEMENT_EXPENSE_APPROVAL, REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_PAYOUT, REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_PAYIN, REIMBURSEMENT_EXPENSE_POST, CARD_PAYMENT, REWARD_REDEMPTION, REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_REFUND, CARD_EXPENSE_REFUND, CARD_PAYMENT_REFUND, REIMBURSEMENT_EXPENSE_MONEY_MOVEMENT_PAYOUT_REVERSAL, INVOICE, INVOICE_PAYMENT, BILL_EXPENSE, BILL_EXPENSE_PAYMENT, BILL_EXPENSE_CARD_PAYMENT, BILL_MONEY_MOVEMENT_PAYIN |
results[] (anyOf 1).accounting_record.updated_at | string | Required within parent | |
results[] (anyOf 1).accounting_record.user | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.user (anyOf 1).account_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).account_id (anyOf 1) | string | Alternative | The ID of the account the user belongs to (e.g., cuacc_1234) |
results[] (anyOf 1).accounting_record.user (anyOf 1).account_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1) | object | Alternative | The resolved Brex Assistant state. Null unless include contains 'brex_assistant'. Additional keys: not allowed |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1).disabled_reason | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1).disabled_reason (anyOf 1) | string | Alternative | Known values: ACCOUNT_DISABLED, INHERITED_FROM_ACCOUNT_DEFAULT, USER_DISABLED |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1).disabled_reason (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1).experience | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1).experience (anyOf 1) | string | Alternative | Known values: IAF, LEGACY |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1).experience (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1).is_enabled | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1).is_enabled (anyOf 1) | boolean | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 1).is_enabled (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).brex_assistant (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).department_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).department_id (anyOf 1) | string | Alternative | The ID of the user's department |
results[] (anyOf 1).accounting_record.user (anyOf 1).department_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).department_name | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).department_name (anyOf 1) | string | Alternative | The user's department name (e.g., Engineering) |
results[] (anyOf 1).accounting_record.user (anyOf 1).department_name (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).email | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).email (anyOf 1) | string | Alternative | The user's email address (e.g., john.doe@example.com) |
results[] (anyOf 1).accounting_record.user (anyOf 1).email (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).first_name | string | Required within parent | The user's first name (e.g., John) |
results[] (anyOf 1).accounting_record.user (anyOf 1).id | string | Required within parent | The ID of the user (e.g., cuuser_abc123def456ghi789jkl012) |
results[] (anyOf 1).accounting_record.user (anyOf 1).last_name | string | Required within parent | The user's last name (e.g., Doe) |
results[] (anyOf 1).accounting_record.user (anyOf 1).location_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).location_id (anyOf 1) | string | Alternative | The ID of the user's location |
results[] (anyOf 1).accounting_record.user (anyOf 1).location_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).location_name | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).location_name (anyOf 1) | string | Alternative | The user's location name (e.g., San Francisco) |
results[] (anyOf 1).accounting_record.user (anyOf 1).location_name (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_first_name | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_first_name (anyOf 1) | string | Alternative | The user's manager first name |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_first_name (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_id (anyOf 1) | string | Alternative | The ID of the user's manager |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_last_name | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_last_name (anyOf 1) | string | Alternative | The user's manager last name |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_last_name (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_title_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_title_id (anyOf 1) | string | Alternative | The user's manager title ID |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_title_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_title_name | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_title_name (anyOf 1) | string | Alternative | The user's manager title display name |
results[] (anyOf 1).accounting_record.user (anyOf 1).manager_title_name (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).metadata | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).metadata (anyOf 1) | object | Alternative | Customer-defined user metadata property Names: {"type": "string"} Additional keys: see wildcard field |
results[] (anyOf 1).accounting_record.user (anyOf 1).metadata (anyOf 1).* | string | Additional keys | |
results[] (anyOf 1).accounting_record.user (anyOf 1).metadata (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1) | object | Alternative | The user's notification preferences across Brex. Null unless include contains 'notification_preferences', or when the caller cannot read this user. Additional keys: not allowed |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).card_transactions_completed | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).card_transactions_completed (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).card_transactions_completed (anyOf 1).brex_assistant | boolean | Required within parent | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).card_transactions_completed (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels (anyOf 1) | array | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels (anyOf 1)[] | object | Each item | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels (anyOf 1)[].channel | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels (anyOf 1)[].channel (anyOf 1) | string | Alternative | Known values: SLACK, SMS, WHATSAPP |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels (anyOf 1)[].channel (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels (anyOf 1)[].reply_mode | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels (anyOf 1)[].reply_mode (anyOf 1) | string | Alternative | Known values: ONE_WAY, TWO_WAY |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels (anyOf 1)[].reply_mode (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).preferred_channels (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).text | JSON | Required within parent | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).text (anyOf 1) | string | Alternative | Known values: OFF, SMS, WHATSAPP |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 1).text (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).notification_preferences (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).phone_number | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).phone_number (anyOf 1) | string | Alternative | The user's phone number. Null unless include contains 'phone_number'. |
results[] (anyOf 1).accounting_record.user (anyOf 1).phone_number (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).role | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).role (anyOf 1) | string | Alternative | The user's role in the system (e.g., CARD_ADMIN). See UserRole enum for values. Known values: ACCOUNT_ADMIN, AP_CLERK, BOOKKEEPER, CARD_ADMIN, EMPLOYEE, EMPLOYEE_WITHOUT_CORP_CARDS, EXPENSE_ADMIN, SUPER_ADMIN, USER_MANAGEMENT_ADMIN |
results[] (anyOf 1).accounting_record.user (anyOf 1).role (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).status | string | Required within parent | The user's status in the system (e.g., ACTIVE) Known values: ACTIVE, ARCHIVED, DELETED, DISABLED, INACTIVE, INVITED, PENDING_ACTIVATION |
results[] (anyOf 1).accounting_record.user (anyOf 1).title_id | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).title_id (anyOf 1) | string | Alternative | The user's title ID |
results[] (anyOf 1).accounting_record.user (anyOf 1).title_id (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 1).title_name | JSON | Optional | |
results[] (anyOf 1).accounting_record.user (anyOf 1).title_name (anyOf 1) | string | Alternative | The user's title display name (e.g., Software Engineer) |
results[] (anyOf 1).accounting_record.user (anyOf 1).title_name (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.user (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.vendor | JSON | Optional | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).contact_name | JSON | Optional | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).contact_name (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).contact_name (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).email | JSON | Optional | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).email (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).email (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).id | string | Required within parent | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).name | string | Required within parent | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).phone | JSON | Optional | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).phone (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).phone (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).website | JSON | Optional | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).website (anyOf 1) | string | Alternative | |
results[] (anyOf 1).accounting_record.vendor (anyOf 1).website (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.vendor (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record.version | JSON | Optional | |
results[] (anyOf 1).accounting_record.version (anyOf 1) | JSON | Alternative | |
results[] (anyOf 1).accounting_record.version (anyOf 1) (anyOf 1) | number | Alternative | |
results[] (anyOf 1).accounting_record.version (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
results[] (anyOf 1).accounting_record.version (anyOf 2) | null | Alternative | |
results[] (anyOf 1).accounting_record_id | string | Required within parent | |
results[] (anyOf 1).status | string | Required within parent | Known values: updated |
results[] (anyOf 2) | object | Alternative | Additional keys: not allowed |
results[] (anyOf 2).accounting_record_id | string | Required within parent | |
results[] (anyOf 2).error | object | Required within parent | Additional keys: not allowed |
results[] (anyOf 2).error.code | string | Required within parent | Known values: NOT_FOUND, UNSUPPORTED_SOURCE_TYPE, ITEMIZED_EXPENSE_NOT_SUPPORTED, RECORD_NOT_EDITABLE, FIELD_NOT_EDITABLE, INVALID_FIELD_VALUE, PERMISSION_DENIED, UPDATE_FAILED, UPDATE_OUTCOME_UNKNOWN |
results[] (anyOf 2).error.message | string | Required within parent | |
results[] (anyOf 2).status | string | Required within parent | Known values: failed |
Update amortization template — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
is_disabled | boolean | Optional | Set true to hide the template from selection on new expenses, false to restore it |
name | string | Optional | New name for the template |
Update tax code — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
subsidiaries | array | Required within parent | Per-subsidiary status changes to apply |
subsidiaries[] | Model | Each item | Expand Update tax code — request body — body subsidiaries item |
Referenced models: Update tax code — request body — body subsidiaries item
Update tax code — request body — body subsidiaries item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
status | string | Required within parent | Whether the tax code is enabled for this subsidiary One of: ENABLED, DISABLED |
subsidiary_id | string | Required within parent | The subsidiary this status applies to |